- libbson 1.13.1 »
- API Reference »
- bson_iter_t

# bson_iter_value()

## Synopsis

    const bson_value_t *
    bson_iter_value (bson_iter_t *iter);

## Parameters

- `iter`: A bson_iter_t.

## Description

Fetches the value for the currently observed type as a boxed type. This allows passing around the value without knowing the type at runtime.

## Returns

A bson_value_t that should not be modified or freed.

Created using Sphinx 1.8.3, based on Sphinx Readable Theme.